[141729] users/devans/GNOME-3/stable/dports/gnome

devans at macports.org devans at macports.org
Sat Dec 12 02:45:44 PST 2015


Revision: 141729
          https://trac.macports.org/changeset/141729
Author:   devans at macports.org
Date:     2015-10-26 20:29:43 -0700 (Mon, 26 Oct 2015)
Log Message:
-----------
GNOME-3/stable: bijiben, new port for testing, a desktop notebook application.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/bijiben/Portfile
    users/devans/GNOME-3/stable/dports/gnome/bijiben/files/autogen.sh

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/bijiben/
    users/devans/GNOME-3/stable/dports/gnome/bijiben/files/patch-src-Makefile.am.diff

Modified: users/devans/GNOME-3/stable/dports/gnome/bijiben/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-chess/Portfile	2015-10-27 00:04:53 UTC (rev 141722)
+++ users/devans/GNOME-3/stable/dports/gnome/bijiben/Portfile	2015-10-27 03:29:43 UTC (rev 141729)
@@ -3,40 +3,54 @@
 
 PortSystem          1.0
 
-name                gnome-chess
-version             3.18.0
+name                bijiben
+version             3.18.1
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
-description         Play the classic two-player boardgame of chess
+description         Bijiben is an attempt to design an intuitive note editor with strong desktop integration
 long_description    ${description}
 maintainers         devans openmaintainer
-categories          gnome games
+categories          gnome
 platforms           darwin
-homepage            https://wiki.gnome.org/Apps/Chess
+homepage            https://wiki.gnome.org/Apps/Bijiben
 master_sites        gnome:sources/${name}/${branch}/
 
 use_xz              yes
 
-checksums           rmd160  2b30efcf1bcec6eb97d0bf90203b5470688df86c \
-                    sha256  c841198935d807618c3cecbf10ed24643390d504e17961717bac455f4e1b37ad
+checksums           rmd160  2a71fc0ae6b2eff76fca813d9141315e4186eaae \
+                    sha256  07bb0872cb78a02c967bafa1cc4f46e84c7d0c2a8b8b4fa1d1f579b897b366ee
 
 depends_build       port:pkgconfig \
+                    port:intltool \
                     port:appstream-glib \
+                    port:gnome-common \
+                    port:gtk-doc \
                     port:yelp-tools \
-                    port:itstool \
-                    port:intltool \
                     port:autoconf \
                     port:automake \
                     port:libtool
 
 depends_lib         port:desktop-file-utils \
+                    port:shared-mime-info \
+                    port:gnome-online-accounts \
+                    port:evolution-data-server \
                     port:gtk3 \
-                    port:librsvg \
-                    port:vala
+                    port:tracker \
+                    port:zeitgeist
 
+platform darwin {
+    if {${configure.cxx_stdlib} eq "libstdc++"} {
+       depends_lib-append path:lib/pkgconfig/webkitgtk-3.0.pc:webkit-gtk3-2.0
+    } else {
+       depends_lib-append path:lib/pkgconfig/webkitgtk-3.0.pc:webkit-gtk3
+    }
+}
+
 depends_run         port:gnome-themes-standard \
                     port:yelp
 
+patchfiles          patch-src-Makefile.am.diff
+
 # reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 
 post-patch {
@@ -45,18 +59,15 @@
 
 configure.cmd       ./autogen.sh
 
-configure.args      --disable-schemas-compile \
+configure.args      --disable-update-mimedb \
+                    --disable-schemas-compile \
                     --disable-silent-rules
 
 post-activate {
    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+   system "${prefix}/bin/update-mime-database ${prefix}/share/mime"
    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
-notes "
-To play against the computer, install a chess engine such as gnuchess.
-See https://wiki.gnome.org/Apps/Chess/ChessEngines
-"
-
 livecheck.type      gnome

Modified: users/devans/GNOME-3/stable/dports/gnome/bijiben/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-chess/files/autogen.sh	2015-10-27 00:04:53 UTC (rev 141722)
+++ users/devans/GNOME-3/stable/dports/gnome/bijiben/files/autogen.sh	2015-10-27 03:29:43 UTC (rev 141729)
@@ -1,41 +1,22 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-test -n "$srcdir" || srcdir=`dirname "$0"`
-test -n "$srcdir" || srcdir=.
 
-olddir=`pwd`
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
 
-cd $srcdir
+ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS"
 
-(test -f configure.ac) || {
-        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
-        exit 1
+PKG_NAME="bijiben"
+
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
 }
 
-if [ -d $srcdir/.git ] && [ ! -e $srcdir/.git/hooks/pre-commit ]; then
-        ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled pre-commit style checker." || :
-fi
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
 
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
-
-if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
-        echo "*** If you wish to pass any to it, please specify them on the" >&2
-        echo "*** \`$0\' command line." >&2
-        echo "" >&2
-fi
-
-aclocal --install || exit 1
-intltoolize --force --copy --automake || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
-
-cd $olddir
-if [ "$NOCONFIGURE" = "" ]; then
-        $srcdir/configure "$@" || exit 1
-
-        if [ "$1" = "--help" ]; then exit 0 else
-                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
-        fi
-else
-        echo "Skipping configure process."
-fi
+REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh

Added: users/devans/GNOME-3/stable/dports/gnome/bijiben/files/patch-src-Makefile.am.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/bijiben/files/patch-src-Makefile.am.diff	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/bijiben/files/patch-src-Makefile.am.diff	2015-10-27 03:29:43 UTC (rev 141729)
@@ -0,0 +1,13 @@
+--- src/Makefile.am.orig	2015-10-26 20:05:50.000000000 -0700
++++ src/Makefile.am	2015-10-26 20:07:23.000000000 -0700
+@@ -29,8 +29,8 @@
+ 	$(top_builddir)/libgd/libgd.la \
+ 	$(BIJIBEN_LIBS)
+ 
+-bijiben_LDFLAGS = \
+-	-Wl,--export-dynamic
++#bijiben_LDFLAGS = \
++#	-Wl,--export-dynamic
+ 
+ resource_files = \
+ 	resources/Adwaita.css \
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20151212/c33d5b5f/attachment-0001.html>


More information about the macports-changes mailing list